using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsMonthKeyWork {
        public FmsMonthKeyWork() {
        }

        //근무형태
        [Display(Name = "현장 고유번호")]
        public int SiteId { get; set; }
        [Display(Name = "중점업무 고유번호"), Key]
        public int MonthKeyWorkId { get; set; }
        [Display(Name = "월")]
        public int Month { get; set; }
        [Display(Name = "업무명"), Required]
        [StringLength(255)]
        public string WorkName { get; set; }
        [NotMapped]
        public bool IsAllSite { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite CmSite { get; set; }

    }
}
